Bug 982737 - [abrt] GError instance use-after-free in collection_backend_load_resources()
[abrt] GError instance use-after-free in collection_backend_load_resources()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:f7c256ca3f9064e12b1a01aeb44...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 13:35 EDT by Jonathan Gazeley
Modified: 2013-07-20 05:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: evolution-data-server-3.8.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.07 KB, text/plain)
2013-07-09 13:35 EDT, Jonathan Gazeley
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-09 13:35 EDT, Jonathan Gazeley
no flags Details
File: core_backtrace (756 bytes, text/plain)
2013-07-09 13:35 EDT, Jonathan Gazeley
no flags Details
File: dso_list (10.47 KB, text/plain)
2013-07-09 13:35 EDT, Jonathan Gazeley
no flags Details
File: environ (1.03 KB, text/plain)
2013-07-09 13:35 EDT, Jonathan Gazeley
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-09 13:35 EDT, Jonathan Gazeley
no flags Details
File: maps (29.64 KB, text/plain)
2013-07-09 13:35 EDT, Jonathan Gazeley
no flags Details
File: open_fds (676 bytes, text/plain)
2013-07-09 13:35 EDT, Jonathan Gazeley
no flags Details
File: proc_pid_status (794 bytes, text/plain)
2013-07-09 13:36 EDT, Jonathan Gazeley
no flags Details

  None (edit)
Description Jonathan Gazeley 2013-07-09 13:35:34 EDT
Version-Release number of selected component:
evolution-data-server-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: standard_free
executable:     /usr/libexec/evolution-source-registry
kernel:         3.9.9-301.fc19.i686.PAE
runlevel:       N 5
uid:            1000
var_log_messages: Jul  9 18:15:25 hyperion abrt[1050]: Saved core dump of pid 1046 (/usr/libexec/evolution-source-registry) to /var/tmp/abrt/ccpp-2013-07-09-18:15:24-1046 (19664896 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 standard_free at gmem.c:98
 #8 g_error_free at gerror.c:476
 #9 collection_backend_load_resources at e-collection-backend.c:249
 #10 collection_backend_constructed at e-collection-backend.c:611
 #12 g_object_new_valist at gobject.c:1836
 #14 collection_backend_factory_new_backend at e-collection-backend-factory.c:75
 #15 e_backend_factory_new_backend at e-backend-factory.c:109
 #16 e_data_factory_ref_initable_backend at e-data-factory.c:326
 #17 e_data_factory_ref_backend at e-data-factory.c:247
 #18 source_registry_server_source_added at e-source-registry-server.c:1176
Comment 1 Jonathan Gazeley 2013-07-09 13:35:38 EDT
Created attachment 771177 [details]
File: backtrace
Comment 2 Jonathan Gazeley 2013-07-09 13:35:41 EDT
Created attachment 771178 [details]
File: cgroup
Comment 3 Jonathan Gazeley 2013-07-09 13:35:44 EDT
Created attachment 771179 [details]
File: core_backtrace
Comment 4 Jonathan Gazeley 2013-07-09 13:35:47 EDT
Created attachment 771180 [details]
File: dso_list
Comment 5 Jonathan Gazeley 2013-07-09 13:35:50 EDT
Created attachment 771181 [details]
File: environ
Comment 6 Jonathan Gazeley 2013-07-09 13:35:52 EDT
Created attachment 771182 [details]
File: limits
Comment 7 Jonathan Gazeley 2013-07-09 13:35:56 EDT
Created attachment 771183 [details]
File: maps
Comment 8 Jonathan Gazeley 2013-07-09 13:35:59 EDT
Created attachment 771184 [details]
File: open_fds
Comment 9 Jonathan Gazeley 2013-07-09 13:36:02 EDT
Created attachment 771185 [details]
File: proc_pid_status
Comment 10 Milan Crha 2013-07-10 05:41:44 EDT
Thanks for a bug report. The same was filed already, bug #974296. I'm currently building an update with an upstream fix included.
Comment 11 Fedora Update System 2013-07-10 06:05:14 EDT
evolution-data-server-3.8.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-12643/evolution-data-server-3.8.3-3.fc19
Comment 12 Fedora Update System 2013-07-10 22:34:38 EDT
Package evolution-data-server-3.8.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-data-server-3.8.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12643/evolution-data-server-3.8.3-3.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-07-20 05:50:49 EDT
evolution-data-server-3.8.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.